Bug 187254 - Update net-mgmt/collectd5 to new version; add mongodb plugin
Summary: Update net-mgmt/collectd5 to new version; add mongodb plugin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-04 11:30 UTC by Krzysztof
Modified: 2014-04-07 12:15 UTC (History)
0 users

See Also:


Attachments
file.diff (10.30 KB, patch)
2014-03-04 11:30 UTC, Krzysztof
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2014-03-04 11:30:00 UTC
	There is new version of collectd 5.x branch. During testing this new
version entropy plugin was disabled. I've added mongodb plugin

Fix: There is patch for whole port to new version:
---------------------------------------------------- cut here ----------------------------------------------------
How-To-Repeat: 	None.
Comment 1 dfilter service freebsd_committer 2014-04-07 12:09:15 UTC
Author: demon
Date: Mon Apr  7 11:09:06 2014
New Revision: 350458
URL: http://svnweb.freebsd.org/changeset/ports/350458
QAT: https://qat.redports.org/buildarchive/r350458/

Log:
  Update to version 5.4.1;
  Add mongodb support.
  
  PR:		187254
  Submitted by:	maintainer

Added:
  head/net-mgmt/collectd5/files/patch-configure.ac
     - copied, changed from r350457, head/net-mgmt/collectd5/files/patch-configure.in
Deleted:
  head/net-mgmt/collectd5/files/patch-configure.in
  head/net-mgmt/collectd5/files/patch-src-curl_xml.c
  head/net-mgmt/collectd5/files/patch-src-interface.c
Modified:
  head/net-mgmt/collectd5/Makefile
  head/net-mgmt/collectd5/distinfo
  head/net-mgmt/collectd5/files/patch-version-gen.sh
  head/net-mgmt/collectd5/pkg-plist

Modified: head/net-mgmt/collectd5/Makefile
==============================================================================
--- head/net-mgmt/collectd5/Makefile	Mon Apr  7 10:47:45 2014	(r350457)
+++ head/net-mgmt/collectd5/Makefile	Mon Apr  7 11:09:06 2014	(r350458)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	collectd
-PORTVERSION=	5.4.0
-PORTREVISION=	3
+PORTVERSION=	5.4.1
 PKGNAMESUFFIX=	5
 CATEGORIES=	net-mgmt
 MASTER_SITES=	http://collectd.org/files/
@@ -11,8 +10,7 @@ MASTER_SITES=	http://collectd.org/files/
 MAINTAINER=	ports@bsdserwis.com
 COMMENT=	Systems & network statistics collection daemon
 
-USES=		gmake pkgconfig
-USE_BZIP2=	yes
+USES=		gmake pkgconfig tar:bzip2
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	aclocal autoconf autoheader automake libltdl libtool
 
@@ -22,7 +20,7 @@ BUILD_DEPENDS+=	${LOCALBASE}/libdata/pkg
 OPTIONS_DEFINE=		CGI DEBUG GCRYPT VIRT
 OPTIONS_GROUP=		INPUT OUTPUT
 OPTIONS_GROUP_OUTPUT=	RRDTOOL NOTIFYEMAIL NOTIFYDESKTOP
-OPTIONS_GROUP_INPUT=	CURL DBI JSON MEMCACHEC MODBUS MYSQL \
+OPTIONS_GROUP_INPUT=	CURL DBI JSON MEMCACHEC MODBUS MONGODB MYSQL \
 			NUTUPS PGSQL PING PYTHON RABBITMQ REDIS \
 			ROUTEROS SIGROK SNMP STATGRAB TOKYOTYRANT XML XMMS
 
@@ -34,6 +32,7 @@ GCRYPT_DESC=		Build with libgcrypt
 JSON_DESC=		Enable JSON plugins
 MEMCACHEC_DESC=		Enable memcachec plugin
 MODBUS_DESC=		Enable modbus plugin
+MONGODB_DESC=		Enable MongoDB-based plugins
 MYSQL_DESC=		Enable mysql-based plugins
 NOTIFYEMAIL_DESC=	Enable notifications via email
 NOTIFYDESKTOP_DESC=	Enable desktop notifications
@@ -68,13 +67,14 @@ LDFLAGS+=	-L${LOCALBASE}/lib
 CONFIGURE_ARGS=	--localstatedir=/var \
 		--disable-all-plugins \
 		--disable-static \
+		--without-amqp \
 		--without-java \
+		--without-libaquaero5 \
 		--without-libganglia \
 		--without-libiptc \
 		--without-libjvm \
 		--without-libkstat \
 		--without-libmodbus \
-		--without-libmongoc \
 		--without-libnetlink \
 		--without-libnetapp \
 		--without-libopenipmi \
@@ -83,6 +83,8 @@ CONFIGURE_ARGS=	--localstatedir=/var \
 		--without-libperl \
 		--without-libsensors \
 		--without-libvarnish \
+		--without-lvm \
+		--without-mic \
 		--without-oracle \
 		--without-perl-bindings
 
@@ -233,6 +235,17 @@ PLIST_SUB+=	MODBUS=""
 PLIST_SUB+=	MODBUS="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MMONGODB}
+LIB_DEPENDS+=	libmongoc.so:${PORTSDIR}/devel/mongo-c-driver
+CONFIGURE_ARGS+=--with-libmongoc=${LOCALBASE} \
+		--enable-write_mongodb
+PLIST_SUB+=	MONGODB=""
+.else
+CONFIGURE_ARGS+=--without-libcmongoc \
+		--disable-write_mongodb
+PLIST_SUB+=	MONGODB="@comment "
+.endif
+
 .if ${PORT_OPTIONS:MMYSQL}
 USE_MYSQL=	yes
 CONFIGURE_ARGS+=--with-libmysql=${LOCALBASE} --enable-mysql
@@ -441,9 +454,6 @@ post-patch:
 		-e 's;/opt/collectd/var/lib;/var/db;' \
 		-e 's;/opt/collectd/lib;${PREFIX}/lib;' \
 		${WRKSRC}/contrib/collection.conf
-	@${REINPLACE_CMD} \
-		-e 's;{libdir}/pkgconfig;{prefix}/libdata/pkgconfig;' \
-		${WRKSRC}/configure.in
 
 post-install:
 	@${MKDIR} ${STAGEDIR}/var/db/collectd

Modified: head/net-mgmt/collectd5/distinfo
==============================================================================
--- head/net-mgmt/collectd5/distinfo	Mon Apr  7 10:47:45 2014	(r350457)
+++ head/net-mgmt/collectd5/distinfo	Mon Apr  7 11:09:06 2014	(r350458)
@@ -1,2 +1,2 @@
-SHA256 (collectd-5.4.0.tar.bz2) = 90973894a1f10775d409fe23ce7bc4d89c1b7c6f4d9918b305d160605871923e
-SIZE (collectd-5.4.0.tar.bz2) = 1506520
+SHA256 (collectd-5.4.1.tar.bz2) = 75452129f271cb0aad28e57f12a49070618bbb7b6a9d64cf869e8766fa2f66e0
+SIZE (collectd-5.4.1.tar.bz2) = 1521907

Copied and modified: head/net-mgmt/collectd5/files/patch-configure.ac (from r350457, head/net-mgmt/collectd5/files/patch-configure.in)
==============================================================================
--- head/net-mgmt/collectd5/files/patch-configure.in	Mon Apr  7 10:47:45 2014	(r350457, copy source)
+++ head/net-mgmt/collectd5/files/patch-configure.ac	Mon Apr  7 11:09:06 2014	(r350458)
@@ -1,5 +1,5 @@
---- configure.in.orig	2013-08-18 04:24:25.049973000 -0600
-+++ configure.in	2013-08-19 10:46:53.000000000 -0600
+--- configure.ac.orig	2013-08-18 04:24:25.049973000 -0600
++++ configure.ac	2013-08-19 10:46:53.000000000 -0600
 @@ -110,7 +110,7 @@
  fi
  

Modified: head/net-mgmt/collectd5/files/patch-version-gen.sh
==============================================================================
--- head/net-mgmt/collectd5/files/patch-version-gen.sh	Mon Apr  7 10:47:45 2014	(r350457)
+++ head/net-mgmt/collectd5/files/patch-version-gen.sh	Mon Apr  7 11:09:06 2014	(r350458)
@@ -1,10 +1,10 @@
---- version-gen.sh.orig	2013-08-19 10:57:47.000000000 -0600
-+++ version-gen.sh	2013-08-19 10:58:15.000000000 -0600
+--- version-gen.sh.orig	2014-01-26 12:09:23.540560000 +0400
++++ version-gen.sh	2014-04-06 14:44:48.000000000 +0400
 @@ -1,13 +1,3 @@
 -#!/usr/bin/env bash
 +#!/bin/sh
  
--DEFAULT_VERSION="5.4.0.git"
+-DEFAULT_VERSION="5.4.1.git"
 -
 -VERSION="`git describe 2> /dev/null | sed -e 's/^collectd-//'`"
 -
@@ -15,4 +15,4 @@
 -VERSION="`echo \"$VERSION\" | sed -e 's/-/./g'`"
 -
 -echo -n "$VERSION"
-+echo -n '5.4.0.git'
++echo -n "5.4.1.git"

Modified: head/net-mgmt/collectd5/pkg-plist
==============================================================================
--- head/net-mgmt/collectd5/pkg-plist	Mon Apr  7 10:47:45 2014	(r350457)
+++ head/net-mgmt/collectd5/pkg-plist	Mon Apr  7 11:09:06 2014	(r350458)
@@ -226,6 +226,9 @@ lib/collectd/write_graphite.la
 %%CURL%%lib/collectd/write_http.a
 %%CURL%%lib/collectd/write_http.so
 %%CURL%%lib/collectd/write_http.la
+%%MONGODB%%lib/collectd/write_mongodb.a
+%%MONGODB%%lib/collectd/write_mongodb.so
+%%MONGODB%%lib/collectd/write_mongodb.la
 %%REDIS%%lib/collectd/write_redis.a
 %%REDIS%%lib/collectd/write_redis.so
 %%REDIS%%lib/collectd/write_redis.la
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Dmitry Sivachenko freebsd_committer 2014-04-07 12:15:30 UTC
State Changed
From-To: open->closed

Port updated, thanks!